#include <iostream>
#include <algorithm>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
using namespace std;
int main()
{
    long long n;
    scanf("%lld",&n);
    long long i,sum=1;
    for(i=1; i<=n; i++)
    {
        sum*=i;
        sum%=1000000007;
    }
    printf("%lld\n",sum);
    return 0;
}
